<?php

namespace Treewec\Admin\Editors;

/**
 * Test class for AvailableEditors.
 * Generated by PHPUnit on 2012-07-04 at 11:30:23.
 * @group admin_editor
 */
class AvailableEditorsTest extends \PHPUnit_Framework_TestCase {

    public function testGetEditorFolder() {
        foreach (AvailableEditors::getAvailableEditors() as $editor) {
            parent::assertTrue(is_dir(AvailableEditors::getEditorFolder($editor)));
        }
    }

    public function testIsExistingEditor() {
        foreach (AvailableEditors::getAvailableEditors() as $editor) {
            parent::assertTrue(AvailableEditors::isExistingEditor($editor));
        }
        parent::assertFalse(AvailableEditors::isExistingEditor(new \Exception()));
        parent::assertFalse(AvailableEditors::isExistingEditor(''));
    }

    public function testGetAvailableEditors() {
        foreach (AvailableEditors::getAvailableEditors() as $editor) {
            parent::assertTrue(is_dir(TREEWEC_ADMIN_ROOT . 'editors/' . $editor));
        }
    }

}

?>
